# Contributing to waw

Thank you for your interest in contributing to waw! We welcome all contributions, whether it's fixing bugs, improving documentation, creating new modules, or enhancing existing ones.

## How to Contribute

### 1. Reporting Issues

-   If you find a bug or have a feature request, please open an issue in the repository.
-   Provide clear and detailed information about the problem or suggestion.

### 2. Submitting Pull Requests

-   Fork the repository and create a new branch for your contribution.
-   Follow the existing code style and structure.
-   Make sure your changes do not break existing functionality.
-   Submit a pull request with a clear description of the changes.

### 3. Contributing to Modules

-   waw supports both **global** and **local** modules.
-   If you improve a global module, please update the respective repository.
-   If you create a new module, ensure it follows the waw module structure.

### 4. Syncing Modules

-   Use `waw sync` to fetch modules from GitHub if they are listed in `module.json`.

### 5. Code of Conduct

-   Be respectful and constructive in discussions.
-   Ensure your contributions align with the project's goals.

We appreciate your contributions and look forward to building waw together!
